import filecmp
import subprocess
import os
from time import sleep

from pathlib import Path


def install() -> None:
    projectDir = Path(__file__).resolve().parent.parent
    homeDir = Path(os.getenv("HOME"))
    serviceDirExist = os.path.isdir(os.path.join(homeDir, ".config/systemd/user/"))
    delivered = False

    if serviceDirExist:
        delivered = filecmp.cmp(
            os.path.join(projectDir, "services/wthrc.service"),
            os.path.join(homeDir, ".config/systemd/user/wthrc.service"),
            shallow=True,
        )

    if not delivered or not serviceDirExist:
        os.environ["DIR"] = str(projectDir)
        subprocess.call(["sh", os.path.join(projectDir, "scripts/install.sh")])
    subprocess.call(["sh", os.path.join(projectDir, "scripts/runner.sh")])

    sleep(5)
